<?php
	/*
	plugin WPRS Front-End Submit Form settings page
    */

	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
	// ***************************************
	// start form settings ****************
	// ***************************************
	$license = $options['wprss_license_key'];
	$status = get_option('wprss_license_status');
?>

        <div class="">
            <!-- <h3 style="cursor:default;">Settings</h3> -->
            <div id="wpct" class="inside" style="padding:0px 6px 0px 6px;">

			<!-- Table Structure Containing Form Controls -->
			<!-- Each Plugin Option Defined on a New Table Row -->
			<table class="form-table">
            
            	<tr valign="top">	
						<th scope="row" valign="top">
							<?php _e('License Key'); ?>
						</th>
						<td>
							<input id="wprss_options[wprss_license_key]" name="wprss_options[wprss_license_key]" type="text" class="regular-text" value="<?php if (isset($options['wprss_license_key'])) { echo $options['wprss_license_key']; } ?>" /> 
							<label class="description" for="wprscta_options[wprscta_license_key]">
							
                            <?php if( $status !== false && $status == 'valid' ) { ?>
									
									<?php wp_nonce_field( 'wprss_nonce', 'wprss_nonce' ); ?>
									<input type="submit" class="button-secondary" name="wprss_license_deactivate" value="<?php _e('Deactivate License'); ?>"/>
                                    <span style="color:green;"><?php _e(' Your license is valid!'); ?></span>
                           
                            <?php } elseif( 'expired' === $status && ! empty( $license ) ) {
									
									 $html_btn = '<a href="https://wprichsnippets.com/pricing/" class="button-primary">' . _e('Renew Your License') . '</a>';
									 echo $html_btn;
									 ?>
                                    <span style="color:red;"><?php _e('Expired, please renew your license!'); ?></span>
                            
							<?php } else {
									wp_nonce_field( 'wprss_nonce', 'wprss_nonce' ); ?>
									<input type="submit" class="button-secondary" name="wprss_license_activate" value="<?php _e('Activate License'); ?>"/> 
                                    <br />
                                    <span style="color:red;"><?php _e('Please, activate your license key!'); ?></span>
                           
							<?php } ?>
                            
                            </label>
                            
                            <p class="description">Please enter your license key. An active license key is needed for automatic updates and <a href="https://wprichsnippets.com/support/" target="_blank">support</a>.</p>
                            
                            <br />
                            <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                            
                            
						</td>
					</tr>
                    
                <!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row">Shortcode</th>
					<td>
						
                        <div id="help">
                        	<span><b>Use shortcode</b>:</span>
                        	<pre><code>[wprs-submit]</code></pre>
                        	<span class="description">
                            For full set of parameters supported, visit <a href="https://wprichsnippets.com/doc/front-end-entry-submit/" target="_blank">add-on page</a>.
                            </span>
                        </div>
                        <br />  
                        <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                        
					</td>
				</tr>
                
                
                 <!-- Textbox Control -->
				<tr>
					<th scope="row">Email</th>
					<td>
						<input type="text" size="60" name="wprss_options[wprss_email_admin]" value="<?php if (isset($options['wprss_email_admin'])) {echo str_replace(' ', '', $options['wprss_email_admin']);} ?>" />
                        
                        <br /><span class="description">Enter a valid email to get notified whenever a new entry is submitted.</span>
					</td>
				</tr>
                
                <!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row">Email Notifications</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_wprss_email_admin]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_wprss_email_admin'])) { checked('1', $options['wprss_chk_wprss_email_admin']); } ?> /> Enable admin email notifications?</label><br />
                        
                        <span class="description">Tick to enable admin email notifications, you must enter a valid email in the field above.</span>
                        <br /><br />
                        <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
					</td>
				</tr>
                
                            
                 <!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row">Form Settings</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_image]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_image'])) { checked('1', $options['wprss_chk_form_image']); } ?> /> Enable image upload field?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_video]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_video'])) { checked('1', $options['wprss_chk_form_video']); } ?> /> Enable YouTube video field?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_cons_pros]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_cons_pros'])) { checked('1', $options['wprss_chk_form_cons_pros']); } ?> /> Enable Cons and Pros fields?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_link]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_link'])) { checked('1', $options['wprss_chk_form_link']); } ?> /> Enable link field?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_demo_link]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_demo_link'])) { checked('1', $options['wprss_chk_form_demo_link']); } ?> /> Enable demo link field?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_criteria]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_criteria'])) { checked('1', $options['wprss_chk_form_criteria']); } ?> /> Enable criteria fields?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprss_options[wprss_chk_form_price]" type="checkbox" value="1" <?php if (isset($options['wprss_chk_form_price'])) { checked('1', $options['wprss_chk_form_price']); } ?> /> Enable price field?</label>
					</td>
				</tr>
                
			</table>
            
			<p>
            	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>">
            	
			</p>
		        
               
            </div>
 
        </div><!-- end of general settings -->

