<?php
	/*
	Plugin Name: WPRS Submit
    Plugin URI: https://wprichsnippets.com
    Description: Allow registered users to submit entries on your website on front-end via a shortcode. An add-on for the WPRichSnippets plugin.
    Version: 1.1
    Author: Hesham Zebida
    Author URI: http://zebida.com
    Last Version update : 10 October 2016
    */
	
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
	// plugin version, used to add version for scripts and styles
	define( 'WPRSS_VER', '1.1' );
	define( 'WPRSS_PLUGIN_NAME', 'WPRS Submit' );
	define( 'WPRSS_PLUGIN_DOWNLOAD_NAME', 'Front-End Entry Submit' );
	if ( ! defined( 'WPRICHSNIPPETS_WEBSITE_URL' ) ) define( 'WPRICHSNIPPETS_WEBSITE_URL', 'http://wprichsnippets.com' );

	// define plugin URLs, for fast enqueuing scripts and styles
	if ( ! defined( 'WPRSS_URL' ) )
		define( 'WPRSS_URL', plugin_dir_url( __FILE__ ) );
	define( 'WPRSS_INC_URL', trailingslashit( WPRSS_URL . 'inc' ) );
	define( 'WPRSS_JS_URL',	trailingslashit( WPRSS_URL . 'js' ) );
	define( 'WPRSS_CSS_URL', trailingslashit( WPRSS_URL . 'css' ) );
			
	// set up plugin actions
    add_action( 'admin_init', 'wprss_requires_wordpress_version' );			// check WP version 3.0+
	add_action( 'admin_init', 'wprs_submit_admin_init' );					// to register admin styles and scripts

	// ------------------------------------------------------------------------
	// REQUIRES
	// ------------------------------------------------------------------------
	require_once ('inc/admin/settings.php');								// load admin settings
	require_once ('inc/admin/updater.php');									// load updater
	// shortcode
	require_once ('inc/shortcode_submit.php');								// load form shortcode

	
	
	// ------------------------------------------------------------------------
	// REQUIRE MINIMUM VERSION OF WORDPRESS:                                               
	// ------------------------------------------------------------------------
	function wprss_requires_wordpress_version() {
		global $wp_version;
		$plugin = plugin_basename( __FILE__ );
		$plugin_data = get_plugin_data( __FILE__, false );

		if ( version_compare($wp_version, "3.0", "<" ) ) {
			if( is_plugin_active($plugin) ) {
				deactivate_plugins( $plugin );
				wp_die( "'".$plugin_data['Name']."' requires WordPress 3.0 or higher, and has been deactivated! Please upgrade WordPress and try again.<br /><br />Back to <a href='".admin_url()."'>WordPress admin</a>." );
			}
		}
	}
	
	// check if WP Rich Snippets plugin is active
	function wprss_detect_wprs()  {
		$xplugin = 'wp-rich-snippets/wp-rich-snippets.php';
		$plugin = plugin_basename( __FILE__ );
		if ( !is_plugin_active($xplugin) ) {
			// display notice if plugin isn't active
			add_action('admin_notices', 'wprss_my_admin_notice');
			// deactivate
			deactivate_plugins( $plugin );
		}
	}
	add_action( 'admin_init', 'wprss_detect_wprs' );
	
	// the notice
	function wprss_my_admin_notice(){
		echo '<div class="update-nag"><p>The <a href="http://wprichsnippets.com/" title="WPRichSnippets Plugin" target="_blank" >WPRichSnippets</a> plugin is required. Plugin has been deactivated!</p></div>';
	}

	// add admin init
	function wprs_submit_admin_init() {
		// add scripts here to admin page if required
		wp_enqueue_style ('wprss-admin-style', WPRSS_CSS_URL.'style_admin.css');
	}


// Add-on updates
add_action( 'admin_init', 'wprss_sl_updater', 0 );
/**
 * Check for add-ons updates
 *
 * @uses wprss_sl_updater()
 *
 * @since 1.0
 */
function wprss_sl_updater() {
	
	// get options
	$options = get_option('wprss_options');
		
	// Retrieve license key from the DB
	$license = isset( $options['wprss_license_key']) ? trim( $options['wprss_license_key']) : '';

	// Setup the updater
	$edd_updater = new WPRS_SL_Plugin_Updater( WPRICHSNIPPETS_WEBSITE_URL, __FILE__, array( 
			'version' 	=> WPRSS_VER, 						// current version number
			'license' 	=> $license, 						// license key (used get_option above to retrieve from DB)
			'item_name' => WPRSS_PLUGIN_DOWNLOAD_NAME, 		// name of this add-on
			'author' 	=> 'Hesham Zebida'  				// author of this add-on
		)
	);

}
